///////////////////////////
// Speech.Synthesizer02.cs
///////////////////////////
using System;
using System.Speech.Synthesis;	//System.Speech.dll

namespace KeepTalking
{
	class Program
	{
		static void Main(string[] args)
		{
			var synthesizer = new SpeechSynthesizer();
			foreach (var voice in synthesizer.GetInstalledVoices())
			{
				var info = voice.VoiceInfo;
				Console.WriteLine("Id: {0} | Name: {1} | Age: {2} | Gender: {3} | Culture: {4}", info.Id, info.Name, info.Age, info.Gender, info.Culture);
			}
			Console.ReadKey();
			synthesizer.Dispose();
		}
	}
}
